- Qt 5.15
- Qt WebEngine
- C++ Classes
- QWebEngineUrlRequestInterceptor
- Qt 5.15.19 Reference Documentation

# QWebEngineUrlRequestInterceptor Class

The QWebEngineUrlRequestInterceptor class provides an abstract base class for URL interception. More...

Header: | #include <QWebEngineUrlRequestInterceptor>
Since: | Qt 5.6
Inherits: | QObject

This class was introduced in Qt 5.6.

- List of all members, including inherited members

## Public Functions

| QWebEngineUrlRequestInterceptor(QObject *p = 0)
virtual void | interceptRequest(QWebEngineUrlRequestInfo &info) = 0

## Detailed Description

Implementing the QWebEngineUrlRequestInterceptor interface and installing the interceptor on the profile enables intercepting, blocking, and modifying URL requests before they reach the networking stack of Chromium.

You can install the interceptor on a profile via QWebEngineProfile::setUrlRequestInterceptor() or QQuickWebEngineProfile::setUrlRequestInterceptor().

When using the Qt WebEngine Widgets Module, QWebEnginePage::acceptNavigationRequest() offers further options to accept or block requests.

See also interceptRequest() and QWebEngineUrlRequestInfo.

## Member Function Documentation

### QWebEngineUrlRequestInterceptor::QWebEngineUrlRequestInterceptor(QObject *p = 0)

Creates a new QWebEngineUrlRequestInterceptor object with p as parent.

### `[pure virtual]` void QWebEngineUrlRequestInterceptor::interceptRequest(QWebEngineUrlRequestInfo &info)

Reimplementing this virtual function makes it possible to intercept URL requests. This method will be stalling the URL request until handled.

info contains the information about the URL request and will track internally whether its members have been altered.

Warning: All method calls to the profile on the main thread will block until execution of this function is finished.